System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException

The examines the number of rows affected by the execution of each insert, update, or delete operation, and throws this exception if the number equals zero. This exception is generally caused by a concurrency violation.

The exception that is thrown by the during an insert, update, or delete operation if the number of rows affected equals zero.

- Constructor
  1.0.5000.0
  2.0.0.0

  The default constructor initializes any fields to their default values.

  Initializes a new instance of the class.

- Constructor
  To be added

  Initializes a new instance of the class.

  The text string describing the details of the exception.
  1.0.5000.0
  2.0.0.0
- Constructor

  You can create a new exception that catches an earlier exception. The code that handles the second exception can use the additional information from the earlier exception, also called an inner exception, to examine the cause of the initial error.

  Initializes a new instance of the class.

  The text string describing the details of the exception.
  A reference to an inner exception.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  The error message that explains the reason for this exception.
  The exception that is the cause of the current exception, or a null reference (Nothing in Visual Basic) if no inner exception is specified.
  An array containing the objects whose update failure generated this exception.
- Method
  2.0.0.0
  System.Void ``

  When performing batch updates with the property of the set to true, this exception is thrown if all row updates fail. In this case, this contains objects for all rows whose update failed, rather than just the one object in , and the affected objects can be retrieved by calling .

  Copies the objects whose update failure generated this exception, to the specified array of objects.

  The one-dimensional array of objects to copy the objects into.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  When performing batch updates with the property of the set to true, this exception is thrown if all row updates fail. In this case, this contains objects for all rows whose update failed, rather than just the one object in , and the affected objects can be retrieved by calling .

  Copies the objects whose update failure generated this exception, to the specified array of objects, starting at the specified destination array index.

  The one-dimensional array of objects to copy the objects into.
- Method
  System.Void `` `` To be added

  Populates the aprcified serialization information object with the data needed to serialize the .

  A that holds the serialized data associated with the . A that contains the source and destination of the serialized stream associated with the . 1.0.5000.0 2.0.0.0
- Property
  System.Data.DataRow To be added: an object of type 'DataRow'

  Use to retrieve the value of the row that generated the . Setting the value of the has no effect.

  When performing batch updates with the property of the set to true, this exception is thrown if all row updates fail. In this case, this contains objects for all rows whose update failed, rather than just the one object in , and the affected objects can be retrieved by calling .

  Serialization support does not exist for objects. Therefore, if you serialize a object, the value of the property in the serialized version of the object is set to a null value.

  Gets or sets the value of the that generated the .

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of rows whose update failed, generating this exception.